curl --request GET \
--url https://api.investorlift.com/v3/properties/resolve \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/properties/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/properties/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"line": "7436 E Virginia Ave",
"unit": null,
"city": "Scottsdale",
"zip": "85257",
"county_fips": "04013",
"apn": "131-28-253",
"latitude": 33.476917,
"longitude": -111.920385,
"address_held_back": null,
"location_radius_m": null,
"property_id": "e93c776c53354a88de4e58448a6bf21b",
"state": "AZ",
"n_deeds": 3,
"n_flagged": 2,
"holder": {
"deal_id": "55eec5fd59ff14c41cc0defa39603519",
"sale_date": "2022-07-14",
"price": 540000,
"doc_class": "ECONOMIC",
"flagged": true,
"buyers": [
{
"name": "BLACK ARROW CAPITAL LLC",
"org_id": "AZ:L16694270",
"org_name": "Kingslayer LLC",
"from_registry": true,
"match_basis": "filed",
"company_like": true,
"tags": []
}
]
},
"owner": {
"n_owners": 1,
"names": [],
"is_company": false,
"is_trust": false,
"is_government": false,
"ownership_rights": "Single man",
"status_type": "Individual",
"ownership_start_date": "2023-03-03",
"length_of_residence_months": 42,
"owner_occupied": false,
"absentee": true,
"mailing": null,
"mailing_out_of_state": true,
"last_purchase": {
"deal_id": "2a8e9a9e98498c3d8b9f29cc3c42438f",
"sale_date": "2023-03-03",
"price": 735000
},
"last_deed": {
"position": 1,
"sale_date": "2023-03-03",
"document_type": "Warranty Deed"
},
"purchase_match": "exact",
"purchase_match_strength": "strong",
"deed_match": "exact",
"deed_match_strength": "strong",
"acquisition_basis": "purchase",
"held_since": "2023-03-03",
"held_since_basis": "purchase_deed",
"months_held": 42.5
},
"attributes": {
"property_type_category": "Residential",
"property_type_detail": "Single Family",
"segment": "SFR",
"land_use_code": "R2",
"vacant": false,
"year_built": 1959,
"effective_year_built": 1959,
"living_area_sqft": 1409,
"building_sqft": 1409,
"bedrooms": 3,
"bathrooms": 2,
"full_bathrooms": 2,
"partial_bathrooms": null,
"stories": 1,
"garage_spaces": 2,
"pool": null,
"buildings": 1,
"units": 1,
"construction_type": "Concrete Block",
"lot_sqft": 6938,
"lot_acres": 0.159,
"zoning_code": "R-7",
"assessed_total": 52230,
"assessed_land": null,
"assessed_improvement": null,
"assessment_year": 2027,
"market_value_total": 522300,
"market_value_year": 2027,
"tax_amount": 1321,
"tax_year": 2025,
"tax_delinquent_year": null,
"tax_exemptions": null
}
},
"meta": {
"generated_at": "2026-10-07T20:37:44.149Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-07T19:57:24.579Z",
"published_at": "2026-10-07T20:29:57.916Z",
"run_id": 1791403199
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213
}
]
}
}
}Resolve a street line to one parcel of the lean set
One parcel of the place index for a street line and a ZIP: the API normalises the line the way the index keyed each parcel, reads the key with and without the directional, and picks the unit the line names in a building. The body is the parcel of /v3/properties/{id}.
Use it to turn an address into a parcel id. A building with several units and no unit in the line answers 422 ambiguous_address with the candidates. No parcel answers 404.
A call costs 0 credits.
curl --request GET \
--url https://api.investorlift.com/v3/properties/resolve \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/properties/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/properties/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"line": "7436 E Virginia Ave",
"unit": null,
"city": "Scottsdale",
"zip": "85257",
"county_fips": "04013",
"apn": "131-28-253",
"latitude": 33.476917,
"longitude": -111.920385,
"address_held_back": null,
"location_radius_m": null,
"property_id": "e93c776c53354a88de4e58448a6bf21b",
"state": "AZ",
"n_deeds": 3,
"n_flagged": 2,
"holder": {
"deal_id": "55eec5fd59ff14c41cc0defa39603519",
"sale_date": "2022-07-14",
"price": 540000,
"doc_class": "ECONOMIC",
"flagged": true,
"buyers": [
{
"name": "BLACK ARROW CAPITAL LLC",
"org_id": "AZ:L16694270",
"org_name": "Kingslayer LLC",
"from_registry": true,
"match_basis": "filed",
"company_like": true,
"tags": []
}
]
},
"owner": {
"n_owners": 1,
"names": [],
"is_company": false,
"is_trust": false,
"is_government": false,
"ownership_rights": "Single man",
"status_type": "Individual",
"ownership_start_date": "2023-03-03",
"length_of_residence_months": 42,
"owner_occupied": false,
"absentee": true,
"mailing": null,
"mailing_out_of_state": true,
"last_purchase": {
"deal_id": "2a8e9a9e98498c3d8b9f29cc3c42438f",
"sale_date": "2023-03-03",
"price": 735000
},
"last_deed": {
"position": 1,
"sale_date": "2023-03-03",
"document_type": "Warranty Deed"
},
"purchase_match": "exact",
"purchase_match_strength": "strong",
"deed_match": "exact",
"deed_match_strength": "strong",
"acquisition_basis": "purchase",
"held_since": "2023-03-03",
"held_since_basis": "purchase_deed",
"months_held": 42.5
},
"attributes": {
"property_type_category": "Residential",
"property_type_detail": "Single Family",
"segment": "SFR",
"land_use_code": "R2",
"vacant": false,
"year_built": 1959,
"effective_year_built": 1959,
"living_area_sqft": 1409,
"building_sqft": 1409,
"bedrooms": 3,
"bathrooms": 2,
"full_bathrooms": 2,
"partial_bathrooms": null,
"stories": 1,
"garage_spaces": 2,
"pool": null,
"buildings": 1,
"units": 1,
"construction_type": "Concrete Block",
"lot_sqft": 6938,
"lot_acres": 0.159,
"zoning_code": "R-7",
"assessed_total": 52230,
"assessed_land": null,
"assessed_improvement": null,
"assessment_year": 2027,
"market_value_total": 522300,
"market_value_year": 2027,
"tax_amount": 1321,
"tax_year": 2025,
"tax_delinquent_year": null,
"tax_exemptions": null
}
},
"meta": {
"generated_at": "2026-10-07T20:37:44.149Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-07T19:57:24.579Z",
"published_at": "2026-10-07T20:29:57.916Z",
"run_id": 1791403199
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213
}
]
}
}
}Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key. The same key works on POST /mcp.
Query Parameters
A street line, with zip: the house number and the street, the unit inside the line when the building has several. For example 7522 E Cholla St.
3 - 200The 5-digit ZIP of the address.
^\d{5}$Response
One parcel.
One parcel.
One parcel of the place index with its current holder, its owner of the roll and its attributes, under the listed-address rule.
Show child attributes
Show child attributes
Response metadata of the lean family: when the API produced it, and the publishes behind the rows.
Show child attributes
Show child attributes
Was this page helpful?